Package org.eclipse.emf.cdo.transaction

# Class CDOMerger.ConflictException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.transaction.CDOMerger.ConflictException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `CDOMerger`

public static class CDOMerger.ConflictException extends CDOException
Thrown from a `merger` in case of conflicting changes in the a source and target `change sets`.

Since:
  4.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConflictException(String message, Throwable cause, CDOMerger merger, CDOChangeSetData result)`
`ConflictException(String message, CDOMerger merger, CDOChangeSetData result)`

## Method Summary

Modifier and Type
Method
Description
`CDOMerger`
`getMerger()`
`CDOChangeSetData`
`getResult()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConflictException

public ConflictException(String message, CDOMerger merger, CDOChangeSetData result)

### ConflictException

public ConflictException(String message, Throwable cause, CDOMerger merger, CDOChangeSetData result)

## Method Details

### getMerger

public CDOMerger getMerger()

### getResult

public CDOChangeSetData getResult()